ospfInterface
Configuration for ospfInterface resource.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| authKey | <String> | Read-write | Authentication password (key). |
| authType | <String> | Read-write | Authentication type on the ospf interface.
Possible values: null, simple, message-digest
|
| bfd | <Boolean> | Read-write | Enable bfd on interface |
| cost | <Integer> | Read-write | Interface cost.
Minimum value: 1
Maximum value: 65535
|
| deadInterval | <Integer> | Read-write | Interval after which a neighbor is declared dead
Minimum value: 1
Maximum value: 65535
|
| helloInterval | <Integer> | Read-write | Time between HELLO packets
Minimum value: 1
Maximum value: 65535
|
| mtu | <Integer> | Read-write | OSPF interface MTU.
Minimum value: 576
Maximum value: 65535
|
| name | <String> | Read-write | Name of the interface |
| networkType | <String> | Read-write | Network type.
Possible values: broadcast, non-broadcast, point-to-multipoint, point-to-point
|
| priority | <Integer> | Read-write | Router priority.
Minimum value: 0
Maximum value: 255
|
| retransmitInterval | <Integer> | Read-write | Time between retransmitting lost link state advertisements.
Minimum value: 1
Maximum value: 65535
|
| transmitDelay | <Integer> | Read-write | Link state transmit delay.
Minimum value: 1
Maximum value: 65535
|
Operations
(click to see Properties )
- ADD
- SET
- UNSET
- GET
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
add
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospfInterface HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"ospfInterface" : {
"authKey" : <String>,
"authType" : <String>,
"bfd" : <Boolean>,
"cost" : <Integer>,
"deadInterval" : <Integer>,
"helloInterval" : <Integer>,
"mtu" : <Integer>,
<b>"name" : <String></b>,
"networkType" : <String>,
"priority" : <Integer>,
"retransmitInterval" : <Integer>,
"transmitDelay" : <Integer>
}
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
set
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospfInterface HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"ospfInterface" : {
"authKey" : <String>,
"authType" : <String>,
"bfd" : <Boolean>,
"cost" : <Integer>,
"deadInterval" : <Integer>,
"helloInterval" : <Integer>,
"mtu" : <Integer>,
<b>"name" : <String></b>,
"networkType" : <String>,
"priority" : <Integer>,
"retransmitInterval" : <Integer>,
"transmitDelay" : <Integer>
}
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
unset
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospfInterface HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"ospfInterface" : {
"authKey" : true,
"authType" : true,
"bfd" : true,
"cost" : true,
"deadInterval" : true,
"helloInterval" : true,
"mtu" : true,
<b>"name" : <String></b>,
"networkType" : true,
"priority" : true,
"retransmitInterval" : true,
"transmitDelay" : true
}
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospfInterface URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospfInterface?args=name:<String> Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/ospfInterface ?args=name:<String>
Use this query-parameter to get ospfInterface resources based on additional properties.
HTTP Method: GET
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Payload:
{ "routerDynamicRouting": {
"ospfInterface" : [{
"authKey" : <String>,
"authType" : <String>,
"bfd" : <Boolean>,
"cost" : <Integer>,
"deadInterval" : <Integer>,
"helloInterval" : <Integer>,
"mtu" : <Integer>,
"name" : <String>,
"networkType" : <String>,
"priority" : <Integer>,
"retransmitInterval" : <Integer>,
"transmitDelay" : <Integer>
}]
}}